Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519751 - Estonia ID card patch (OpenSC <= 0.17 only)
Summary: Estonia ID card patch (OpenSC <= 0.17 only)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1519747
TreeView+ depends on / blocked
 
Reported: 2017-12-01 11:36 UTC by Germano Massullo
Modified: 2018-02-27 16:42 UTC (History)
5 users (show)

Fixed In Version: opensc-0.17.0-4.fc27 opensc-0.17.0-6.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 16:42:42 UTC


Attachments (Terms of Use)

Description Germano Massullo 2017-12-01 11:36:16 UTC
Pull requests:

https://github.com/OpenSC/OpenSC/pull/1158
https://github.com/OpenSC/OpenSC/pull/1185

are needed by OpenSC 0.17 in order to work with Estonia ID cards

the following patch unifies those pull requests
https://github.com/metsma/OpenSC/compare/0.17.0...0.17-esteid

It has been tested by me and fixed problems like
https://github.com/open-eid/qdigidoc/issues/126

Future OpenSC version 0.18 should no longer need the patch because the pull requests have been merged in upstream OpenSC

Comment 1 Jakub Jelen 2017-12-04 11:47:50 UTC
Thank you for the report. 0.18.0 will not be released in next months so I will update OpenSC in Fedora to contain this change. It is affecting quite much every user with Estonia ID.

Comment 2 Fedora Update System 2017-12-04 12:53:07 UTC
opensc-0.17.0-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c30882d09

Comment 3 Fedora Update System 2017-12-08 23:26:59 UTC
opensc-0.17.0-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6c30882d09

Comment 4 Fedora Update System 2017-12-19 19:45:37 UTC
opensc-0.17.0-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2018-02-21 11:03:54 UTC
opensc-0.17.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9529e04c00

Comment 6 Fedora Update System 2018-02-21 18:42:19 UTC
opensc-0.17.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9529e04c00

Comment 7 Fedora Update System 2018-02-27 16:42:42 UTC
opensc-0.17.0-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.